# Ice::PropertiesAdmin

## Overview

### interface PropertiesAdmin

The PropertiesAdmin interface provides remote access to the properties of a communicator.

## Operations

### string getProperty(string key)

Get a property by key. If the property is not set, an empty string is returned.

#### Parameters

key
  The property key.

#### Return Value

The property value.

### PropertyDict getPropertiesForPrefix(string prefix)

Get all properties whose keys begins with prefix. If prefix is an empty string, then all properties are returned.

#### Parameters

prefix
  The prefix to search for (empty string if none).

#### Return Value

The matching property set.